package mark.inf.cnf;
import java.io.*;

/**
 * An interface for an object that reads a cnf from a reader.
 * <p>
 * This class participates in a command-line-object (this,<various>) pattern.
 * This class specifies no mandated parameters.
 * 
 * @author chavira
 */

public interface Cnfr {

  /**
   * Reads the cnf from the given reader.  Does not close the reader.
   * 
   * @param r the given reader.
   */
  
  public Cnf cnf (Reader r) throws Exception;
  
}
