package mark.reason.core;
import java.util.*;

/**
 * An interface for an object that can process a partial world.
 *
 * @author Mark Chavira
 */

public interface Pwp {

  /**
   * Processes the partial world.
   *
   * @param pw the partial world.
   */
  
  public void process (Map<Var,Double> pw) throws Exception;

}
