package mark.inf.gate;
import java.util.*;
import java.io.*;

/**
 * An interface for an object that reads gates from a reader.
 * <p>
 * This class participates in a command-line-object (this,<various>) pattern.
 * This class specifies no mandated parameters.
 * 
 * @author chavira
 */

public interface Gater {

  /**
   * Reads gates from the given reader.
   * 
   * @param r the given reader.
   */
  
  public HashSet<Gate> read (Reader r) throws Exception;
  
}
